# $Revision: 1.44 $, $Date: 2010/11/12 23:38:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Map8
Summary:	Unicode::Map8 - mapping table between 8-bit chars and Unicode
Summary(pl.UTF-8):	Unicode::Map8 - tabela odwzorowująca między znakami 8-bitowymi a Unikodem
Name:		perl-Unicode-Map8
Version:	0.12
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b76a10615258894b1699b140f93940d0
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Unicode-Map8/
BuildRequires:	perl-Unicode-String
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode. The
tables are efficient both in terms of space allocated and translation
speed. The 16-bit strings is assumed to use network byte order.

%description -l pl.UTF-8
Klasa Unicode::Map8 implementuje wydajne tablice odwzorowujące
pomiędzy 8-bitowymi zestawami znaków a 16-bitowymi zestawami takimi
jak Unikod. Tablice są wydajne zarówno jeśli chodzi o ilość
przydzielonego miejsca, jak i szybkość konwersji. Zakłada się, że
łańcuchy 16-bitowe używają sieciowej kolejności bajtów w słowie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install {diff_iso,make*maps,map8_*,umap} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README *txt
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Unicode/Map8.pm
%{perl_vendorarch}/Unicode/Map8
%dir %{perl_vendorarch}/auto/Unicode/Map8
%{perl_vendorarch}/auto/Unicode/Map8/Map8.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map8/Map8.so
%{_mandir}/man[13]/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unicode-Map8.spec,v $
Revision 1.44  2010/11/12 23:38:24  pawelz
- release 8

Revision 1.43  2010/06/06 08:43:55  arekm
- release 7

Revision 1.42  2008/07/28 12:55:06  megabajt
- release 6

Revision 1.41  2008/02/10 12:22:42  arekm
- rel 5

Revision 1.40  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.39  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.37  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.36  2004/11/03 22:30:53  paladine
- formatting

Revision 1.35  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.34  2004/05/07 00:38:13  ankry
- rel. 4

Revision 1.33  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.32  2004/01/13 21:10:25  qboosh
- added types patch (fixes SEGV on 64-bit archs)
- real descriptions, new-style bcond, release 3

Revision 1.31  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 22:09:55  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.23  2003/01/15 18:39:29  mis
- autoupdated to 0.12

Revision 1.22  2002/12/03 21:35:02  ankry
- cleaning

Revision 1.21  2002/08/06 08:32:14  ankry
- translations, cleaning
- added conditional test
- added /usr/bin/umap and its manpage
- fixed examples attributes
- release 5

Revision 1.20  2002/08/05 18:55:31  marcus
- rel.4.
- use new %%doc

Revision 1.19  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:29  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:32  depesz
automatic: Source location unified, Relase Up

Revision 1.14  2002/02/09 10:54:33  kloczek
- updated to 0.11.

Revision 1.13  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:18:08  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/10 21:58:57  kloczek
- updated to 0.10.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:41  pius
- updated to 0.09

Revision 1.2  1999/11/07 09:18:48  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
